<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Tue Apr 28 15:50:05 CEST 2020 -->
<title>StateBasedDataTypesFactoryImpl</title>
<meta name="date" content="2020-04-28">
<link rel="stylesheet" type="text/css" href="../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="StateBasedDataTypesFactoryImpl";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":41,"i17":10,"i18":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"],32:["t6","Deprecated Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/StateBasedDataTypesFactoryImpl.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedDataTypes/impl/ReliabilityImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedDataTypes.impl"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedDataTypes/impl/StateBasedDataTypesPackageImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedDataTypes.impl"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedDataTypes/impl/StateBasedDataTypesFactoryImpl.html" target="_top">Frames</a></li>
<li><a href="StateBasedDataTypesFactoryImpl.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedDataTypes.impl</div>
<h2 title="Class StateBasedDataTypesFactoryImpl" class="title">Class StateBasedDataTypesFactoryImpl</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.common.notify.impl.BasicNotifierImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.BasicEObjectImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.MinimalEObjectImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.EModelElementImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.EFactoryImpl</li>
<li>
<ul class="inheritance">
<li>org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedDataTypes.impl.StateBasedDataTypesFactoryImpl</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.ecore.resource.impl.BinaryResourceImpl.DataConverter.Factory, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedDataTypes/StateBasedDataTypesFactory.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedDataTypes">StateBasedDataTypesFactory</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">StateBasedDataTypesFactoryImpl</span>
extends org.eclipse.emf.ecore.impl.EFactoryImpl
implements <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedDataTypes/StateBasedDataTypesFactory.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedDataTypes">StateBasedDataTypesFactory</a></pre>
<div class="block"><!-- begin-user-doc -->
 An implementation of the model <b>Factory</b>.
 <!-- end-user-doc --></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container</h3>
<code>org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.emf.ecore.impl.MinimalEObjectImpl</h3>
<code>org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.common.notify.impl.BasicNotifierImpl">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.emf.common.notify.impl.BasicNotifierImpl</h3>
<code>org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList&lt;E extends java.lang.Object &amp; org.eclipse.emf.common.notify.Adapter&gt;, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.InternalEObject">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.eclipse.emf.ecore.InternalEObject</h3>
<code>org.eclipse.emf.ecore.InternalEObject.EStore</code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedDataTypes.StateBasedDataTypesFactory">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedDataTypes.<a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedDataTypes/StateBasedDataTypesFactory.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedDataTypes">StateBasedDataTypesFactory</a></h3>
<code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedDataTypes/StateBasedDataTypesFactory.html#eINSTANCE">eINSTANCE</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder</h3>
<code>NIL</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.emf.ecore.InternalEObject">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.eclipse.emf.ecore.InternalEObject</h3>
<code>EOPPOSITE_FEATURE_BASE</code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedDataTypes/impl/StateBasedDataTypesFactoryImpl.html#StateBasedDataTypesFactoryImpl--">StateBasedDataTypesFactoryImpl</a></span>()</code>
<div class="block">Creates an instance of the factory.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t6" class="tableTab"><span><a href="javascript:show(32);">Deprecated Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedDataTypes/impl/StateBasedDataTypesFactoryImpl.html#convertConfidenceKindToString-org.eclipse.emf.ecore.EDataType-java.lang.Object-">convertConfidenceKindToString</a></span>(org.eclipse.emf.ecore.EDataType&nbsp;eDataType,
                             java.lang.Object&nbsp;instanceValue)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedDataTypes/impl/StateBasedDataTypesFactoryImpl.html#convertRedundancyKindToString-org.eclipse.emf.ecore.EDataType-java.lang.Object-">convertRedundancyKindToString</a></span>(org.eclipse.emf.ecore.EDataType&nbsp;eDataType,
                             java.lang.Object&nbsp;instanceValue)</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedDataTypes/impl/StateBasedDataTypesFactoryImpl.html#convertToString-org.eclipse.emf.ecore.EDataType-java.lang.Object-">convertToString</a></span>(org.eclipse.emf.ecore.EDataType&nbsp;eDataType,
               java.lang.Object&nbsp;instanceValue)</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EObject</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedDataTypes/impl/StateBasedDataTypesFactoryImpl.html#create-org.eclipse.emf.ecore.EClass-">create</a></span>(org.eclipse.emf.ecore.EClass&nbsp;eClass)</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedDataTypes/Availability.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedDataTypes">Availability</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedDataTypes/impl/StateBasedDataTypesFactoryImpl.html#createAvailability--">createAvailability</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedDataTypes/ConfidenceKind.html" title="enum in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedDataTypes">ConfidenceKind</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedDataTypes/impl/StateBasedDataTypesFactoryImpl.html#createConfidenceKindFromString-org.eclipse.emf.ecore.EDataType-java.lang.String-">createConfidenceKindFromString</a></span>(org.eclipse.emf.ecore.EDataType&nbsp;eDataType,
                              java.lang.String&nbsp;initialValue)</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedDataTypes/DependabilityMeasure.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedDataTypes">DependabilityMeasure</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedDataTypes/impl/StateBasedDataTypesFactoryImpl.html#createDependabilityMeasure--">createDependabilityMeasure</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedDataTypes/EvaluationAnalytical.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedDataTypes">EvaluationAnalytical</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedDataTypes/impl/StateBasedDataTypesFactoryImpl.html#createEvaluationAnalytical--">createEvaluationAnalytical</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedDataTypes/EvaluationBySimulation.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedDataTypes">EvaluationBySimulation</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedDataTypes/impl/StateBasedDataTypesFactoryImpl.html#createEvaluationBySimulation--">createEvaluationBySimulation</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedDataTypes/EvaluationMethod.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedDataTypes">EvaluationMethod</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedDataTypes/impl/StateBasedDataTypesFactoryImpl.html#createEvaluationMethod--">createEvaluationMethod</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedDataTypes/EvaluationType.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedDataTypes">EvaluationType</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedDataTypes/impl/StateBasedDataTypesFactoryImpl.html#createEvaluationType--">createEvaluationType</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>java.lang.Object</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedDataTypes/impl/StateBasedDataTypesFactoryImpl.html#createFromString-org.eclipse.emf.ecore.EDataType-java.lang.String-">createFromString</a></span>(org.eclipse.emf.ecore.EDataType&nbsp;eDataType,
                java.lang.String&nbsp;initialValue)</code>&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedDataTypes/MTTF.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedDataTypes">MTTF</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedDataTypes/impl/StateBasedDataTypesFactoryImpl.html#createMTTF--">createMTTF</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedDataTypes/RedundancyKind.html" title="enum in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedDataTypes">RedundancyKind</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedDataTypes/impl/StateBasedDataTypesFactoryImpl.html#createRedundancyKindFromString-org.eclipse.emf.ecore.EDataType-java.lang.String-">createRedundancyKindFromString</a></span>(org.eclipse.emf.ecore.EDataType&nbsp;eDataType,
                              java.lang.String&nbsp;initialValue)</code>&nbsp;</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedDataTypes/Reliability.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedDataTypes">Reliability</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedDataTypes/impl/StateBasedDataTypesFactoryImpl.html#createReliability--">createReliability</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedDataTypes/SteadyState.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedDataTypes">SteadyState</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedDataTypes/impl/StateBasedDataTypesFactoryImpl.html#createSteadyState--">createSteadyState</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>static <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedDataTypes/StateBasedDataTypesPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedDataTypes">StateBasedDataTypesPackage</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedDataTypes/impl/StateBasedDataTypesFactoryImpl.html#getPackage--">getPackage</a></span>()</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;&nbsp;</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedDataTypes/StateBasedDataTypesPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedDataTypes">StateBasedDataTypesPackage</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedDataTypes/impl/StateBasedDataTypesFactoryImpl.html#getStateBasedDataTypesPackage--">getStateBasedDataTypesPackage</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>static <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedDataTypes/StateBasedDataTypesFactory.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedDataTypes">StateBasedDataTypesFactory</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedDataTypes/impl/StateBasedDataTypesFactoryImpl.html#init--">init</a></span>()</code>
<div class="block">Creates the default factory implementation.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.EFactoryImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.EFactoryImpl</h3>
<code>basicSetEPackage, create, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eSet, eUnset, getEPackage, setEPackage</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.EModelElementImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.EModelElementImpl</h3>
<code>eObjectForURIFragmentSegment, eURIFragmentSegment, getEAnnotation, getEAnnotations</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container</h3>
<code>eInternalContainer</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.MinimalEObjectImpl</h3>
<code>dynamicGet, dynamicSet, dynamicUnset, eAdapters, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eIsProxy, eProxyURI, eSetClass, eSetDeliver, eSetProxyURI</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.BasicEObjectImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.BasicEObjectImpl</h3>
<code>eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset, toString</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.impl.BasicNotifierImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.common.notify.impl.BasicNotifierImpl</h3>
<code>eNotificationRequired, eNotify</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EFactory">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EFactory</h3>
<code>getEPackage, setEPackage</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EModelElement">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EModelElement</h3>
<code>getEAnnotation, getEAnnotations</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EObject</h3>
<code>eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.Notifier">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.common.notify.Notifier</h3>
<code>eAdapters, eDeliver, eNotify, eSetDeliver</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.InternalEObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.InternalEObject</h3>
<code>eNotificationRequired</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="StateBasedDataTypesFactoryImpl--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>StateBasedDataTypesFactoryImpl</h4>
<pre>public&nbsp;StateBasedDataTypesFactoryImpl()</pre>
<div class="block">Creates an instance of the factory.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="init--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>init</h4>
<pre>public static&nbsp;<a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedDataTypes/StateBasedDataTypesFactory.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedDataTypes">StateBasedDataTypesFactory</a>&nbsp;init()</pre>
<div class="block">Creates the default factory implementation.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="create-org.eclipse.emf.ecore.EClass-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>create</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EObject&nbsp;create(org.eclipse.emf.ecore.EClass&nbsp;eClass)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>create</code>&nbsp;in interface&nbsp;<code>org.eclipse.emf.ecore.EFactory</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>create</code>&nbsp;in class&nbsp;<code>org.eclipse.emf.ecore.impl.EFactoryImpl</code></dd>
</dl>
</li>
</ul>
<a name="createFromString-org.eclipse.emf.ecore.EDataType-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createFromString</h4>
<pre>public&nbsp;java.lang.Object&nbsp;createFromString(org.eclipse.emf.ecore.EDataType&nbsp;eDataType,
                                         java.lang.String&nbsp;initialValue)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>createFromString</code>&nbsp;in interface&nbsp;<code>org.eclipse.emf.ecore.EFactory</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>createFromString</code>&nbsp;in class&nbsp;<code>org.eclipse.emf.ecore.impl.EFactoryImpl</code></dd>
</dl>
</li>
</ul>
<a name="convertToString-org.eclipse.emf.ecore.EDataType-java.lang.Object-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>convertToString</h4>
<pre>public&nbsp;java.lang.String&nbsp;convertToString(org.eclipse.emf.ecore.EDataType&nbsp;eDataType,
                                        java.lang.Object&nbsp;instanceValue)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>convertToString</code>&nbsp;in interface&nbsp;<code>org.eclipse.emf.ecore.EFactory</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>convertToString</code>&nbsp;in class&nbsp;<code>org.eclipse.emf.ecore.impl.EFactoryImpl</code></dd>
</dl>
</li>
</ul>
<a name="createDependabilityMeasure--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createDependabilityMeasure</h4>
<pre>public&nbsp;<a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedDataTypes/DependabilityMeasure.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedDataTypes">DependabilityMeasure</a>&nbsp;createDependabilityMeasure()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedDataTypes/StateBasedDataTypesFactory.html#createDependabilityMeasure--">createDependabilityMeasure</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedDataTypes/StateBasedDataTypesFactory.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedDataTypes">StateBasedDataTypesFactory</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Dependability Measure</em>'.</dd>
</dl>
</li>
</ul>
<a name="createEvaluationMethod--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createEvaluationMethod</h4>
<pre>public&nbsp;<a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedDataTypes/EvaluationMethod.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedDataTypes">EvaluationMethod</a>&nbsp;createEvaluationMethod()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedDataTypes/StateBasedDataTypesFactory.html#createEvaluationMethod--">createEvaluationMethod</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedDataTypes/StateBasedDataTypesFactory.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedDataTypes">StateBasedDataTypesFactory</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Evaluation Method</em>'.</dd>
</dl>
</li>
</ul>
<a name="createEvaluationBySimulation--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createEvaluationBySimulation</h4>
<pre>public&nbsp;<a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedDataTypes/EvaluationBySimulation.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedDataTypes">EvaluationBySimulation</a>&nbsp;createEvaluationBySimulation()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedDataTypes/StateBasedDataTypesFactory.html#createEvaluationBySimulation--">createEvaluationBySimulation</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedDataTypes/StateBasedDataTypesFactory.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedDataTypes">StateBasedDataTypesFactory</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Evaluation By Simulation</em>'.</dd>
</dl>
</li>
</ul>
<a name="createEvaluationAnalytical--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createEvaluationAnalytical</h4>
<pre>public&nbsp;<a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedDataTypes/EvaluationAnalytical.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedDataTypes">EvaluationAnalytical</a>&nbsp;createEvaluationAnalytical()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedDataTypes/StateBasedDataTypesFactory.html#createEvaluationAnalytical--">createEvaluationAnalytical</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedDataTypes/StateBasedDataTypesFactory.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedDataTypes">StateBasedDataTypesFactory</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Evaluation Analytical</em>'.</dd>
</dl>
</li>
</ul>
<a name="createReliability--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createReliability</h4>
<pre>public&nbsp;<a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedDataTypes/Reliability.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedDataTypes">Reliability</a>&nbsp;createReliability()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedDataTypes/StateBasedDataTypesFactory.html#createReliability--">createReliability</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedDataTypes/StateBasedDataTypesFactory.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedDataTypes">StateBasedDataTypesFactory</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Reliability</em>'.</dd>
</dl>
</li>
</ul>
<a name="createEvaluationType--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createEvaluationType</h4>
<pre>public&nbsp;<a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedDataTypes/EvaluationType.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedDataTypes">EvaluationType</a>&nbsp;createEvaluationType()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedDataTypes/StateBasedDataTypesFactory.html#createEvaluationType--">createEvaluationType</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedDataTypes/StateBasedDataTypesFactory.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedDataTypes">StateBasedDataTypesFactory</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Evaluation Type</em>'.</dd>
</dl>
</li>
</ul>
<a name="createSteadyState--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createSteadyState</h4>
<pre>public&nbsp;<a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedDataTypes/SteadyState.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedDataTypes">SteadyState</a>&nbsp;createSteadyState()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedDataTypes/StateBasedDataTypesFactory.html#createSteadyState--">createSteadyState</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedDataTypes/StateBasedDataTypesFactory.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedDataTypes">StateBasedDataTypesFactory</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Steady State</em>'.</dd>
</dl>
</li>
</ul>
<a name="createAvailability--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createAvailability</h4>
<pre>public&nbsp;<a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedDataTypes/Availability.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedDataTypes">Availability</a>&nbsp;createAvailability()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedDataTypes/StateBasedDataTypesFactory.html#createAvailability--">createAvailability</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedDataTypes/StateBasedDataTypesFactory.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedDataTypes">StateBasedDataTypesFactory</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Availability</em>'.</dd>
</dl>
</li>
</ul>
<a name="createMTTF--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createMTTF</h4>
<pre>public&nbsp;<a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedDataTypes/MTTF.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedDataTypes">MTTF</a>&nbsp;createMTTF()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedDataTypes/StateBasedDataTypesFactory.html#createMTTF--">createMTTF</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedDataTypes/StateBasedDataTypesFactory.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedDataTypes">StateBasedDataTypesFactory</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>MTTF</em>'.</dd>
</dl>
</li>
</ul>
<a name="createRedundancyKindFromString-org.eclipse.emf.ecore.EDataType-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createRedundancyKindFromString</h4>
<pre>public&nbsp;<a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedDataTypes/RedundancyKind.html" title="enum in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedDataTypes">RedundancyKind</a>&nbsp;createRedundancyKindFromString(org.eclipse.emf.ecore.EDataType&nbsp;eDataType,
                                                     java.lang.String&nbsp;initialValue)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="convertRedundancyKindToString-org.eclipse.emf.ecore.EDataType-java.lang.Object-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>convertRedundancyKindToString</h4>
<pre>public&nbsp;java.lang.String&nbsp;convertRedundancyKindToString(org.eclipse.emf.ecore.EDataType&nbsp;eDataType,
                                                      java.lang.Object&nbsp;instanceValue)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="createConfidenceKindFromString-org.eclipse.emf.ecore.EDataType-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createConfidenceKindFromString</h4>
<pre>public&nbsp;<a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedDataTypes/ConfidenceKind.html" title="enum in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedDataTypes">ConfidenceKind</a>&nbsp;createConfidenceKindFromString(org.eclipse.emf.ecore.EDataType&nbsp;eDataType,
                                                     java.lang.String&nbsp;initialValue)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="convertConfidenceKindToString-org.eclipse.emf.ecore.EDataType-java.lang.Object-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>convertConfidenceKindToString</h4>
<pre>public&nbsp;java.lang.String&nbsp;convertConfidenceKindToString(org.eclipse.emf.ecore.EDataType&nbsp;eDataType,
                                                      java.lang.Object&nbsp;instanceValue)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="getStateBasedDataTypesPackage--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getStateBasedDataTypesPackage</h4>
<pre>public&nbsp;<a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedDataTypes/StateBasedDataTypesPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedDataTypes">StateBasedDataTypesPackage</a>&nbsp;getStateBasedDataTypesPackage()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedDataTypes/StateBasedDataTypesFactory.html#getStateBasedDataTypesPackage--">getStateBasedDataTypesPackage</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedDataTypes/StateBasedDataTypesFactory.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedDataTypes">StateBasedDataTypesFactory</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the package supported by this factory.</dd>
</dl>
</li>
</ul>
<a name="getPackage--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getPackage</h4>
<pre>@Deprecated
public static&nbsp;<a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedDataTypes/StateBasedDataTypesPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedDataTypes">StateBasedDataTypesPackage</a>&nbsp;getPackage()</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/StateBasedDataTypesFactoryImpl.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedDataTypes/impl/ReliabilityImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedDataTypes.impl"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedDataTypes/impl/StateBasedDataTypesPackageImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedDataTypes.impl"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedDataTypes/impl/StateBasedDataTypesFactoryImpl.html" target="_top">Frames</a></li>
<li><a href="StateBasedDataTypesFactoryImpl.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
